更新 educationSchool

命名空间:microsoft.graph

更新 educationSchool 对象的属性。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) 不支持。
委派(个人 Microsoft 帐户) 不支持。
应用程序 EduRoster.ReadWrite.All

HTTP 请求

PATCH /education/schools/{id}

请求标头

标头
Authorization Bearer {token}。必需。
Content-Type application/json

请求正文

在请求正文中,提供 educationSchool 对象的 JSON 表示形式。

下表显示了更新 educationSchool 时所需的属性。

属性 类型 说明
displayName String 学校的显示名称。 继承自 educationOrganization
说明 字符串 学校描述。 继承自 educationOrganization
externalSource educationExternalSource 从中创建此组织的源。 继承自 educationOrganization。 可取值为:sismanual
externalSourceDetail 字符串 从中生成此资源的外部源的名称。
principalEmail String 主体的电子邮件地址。
principalName String 主体名称。
externalPrincipalId String 同步系统中主体的 ID。
highestGrade String 教授的最高年级。
lowestGrade String 教授的最低年级。
schoolNumber String 学校编号。
externalId String 同步系统中学校的 ID。
phone String 学校电话号码。
fax String 学校传真号码。
createdBy identitySet 创建了学校的实体。
address physicalAddress 学校地址。

响应

如果成功,此方法会在响应正文中返回 200 OK 响应代码和更新的 educationSchool 对象。

示例

请求

下面展示了示例请求。

PATCH https://graph.microsoft.com/v1.0/education/schools/{school-id}
Content-type: application/json

{
  "displayName": "Fabrikam Arts High School",
  "description": "Magnate school for the arts. Los Angeles School District"
}

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-type: application/json

{
  "id": "10002",
  "displayName": "Fabrikam Arts High School",
  "description": "Magnate school for the arts. Los Angeles School District",
  "status": "String",
  "externalSource": "String",
  "principalEmail": "AmyR@fabrikam.com",
  "principalName": "Amy Roebuck",
  "externalPrincipalId": "14007",
  "highestGrade": "12",
  "lowestGrade": "9",
  "schoolNumber": "10002",
  "address": {
    "city": "Los Angeles",
    "countryOrRegion": "United States",
    "postalCode": "98055",
    "state": "CA",
    "street": "12345 Main St."
  },
  "externalId": "10002",
  "phone": "+1 (253) 555-0102"
}